Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2014 18:19:16 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 04 Jan 2014 23:55:51 -0500
> 
> >> > I won't recommend that: the effect is only visible with Texinfo 5,
> >> > which is still new.  Complaints might come too late for us to be able
> >> > to fix them (after the release).
> >> I think we should take the risk.
> > Why? what damage you envision from fixing a couple of manuals that are
> > affected by this?
> 
> The text you elided explains the benefit I hope to get from not changing

I elided it because it started with "also", which I interpreted to
mean that the part I quoted stood on its own.  So I asked for the
reasons to that part, and that part only.

If now you are saying that the reason is this:

> It will give us a good idea of whether avoiding Unicode quotes is
> worth the trouble of --disable-encoding (or of a sed script to
> convert them back to ASCII)

then I confess that it's a strange reason: why avoid solving a clear
problem just to know whether it is worth solving, when the solution is
at hand and quite simple.

> (you call it "fixing" but I disagree with this designation)

Let me try to convince you.  Try this:

  $ LC_CTYPE=sv_SE.ISO8859-1 ./src/emacs -Q
  C-u C-h i info/htmlfontify.info RET
  g Interactive RET

Then look around the middle of the first screen, in a paragraph that
begins with "You should", and tell me whether you still think this
need not be fixed.  Also, note the encoding displayed by Emacs on the
mode line (it should be UTF-8).

Similar problems exist in org.info, mh-e.info, ses.info, and
dbus.info.

(You may need to generate the manuals with makeinfo 4.13 to see these
problems.)